package com.yunfeiyun.agmp.pts.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 版本对象 PtsLinkVersion
 * 
 * @author 杨晓辉
 * @date 2023-06-01
 */
public class PtsLinkVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 版本标识 */
    private String versionId;

    /** 链接标识 */
    @Excel(name = "链接标识")
    private String linkId;

    /** 版本号 */
    @Excel(name = "版本号")
    private String versionNo;

    /** 版本更新时间 */
    @Excel(name = "版本更新时间")
    private String versionModifieddate;


    /** 版本创建时间 */
    @Excel(name = "版本创建时间")
    private String versionCreatedate;

    /** 版本更新内容 */
    @Excel(name = "版本更新时间")
    private String versionRemark;


    public void setVersionId(String versionId)
    {
        this.versionId = versionId;
    }

    public String getVersionId()
    {
        return versionId;
    }
    public void setLinkId(String linkId)
    {
        this.linkId = linkId;
    }

    public String getLinkId()
    {
        return linkId;
    }
    public void setVersionNo(String versionNo)
    {
        this.versionNo = versionNo;
    }

    public String getVersionNo()
    {
        return versionNo;
    }
    public void setVersionModifieddate(String versionModifieddate)
    {
        this.versionModifieddate = versionModifieddate;
    }

    public String getVersionModifieddate()
    {
        return versionModifieddate;
    }

    public String getVersionRemark() {
        return versionRemark;
    }

    public void setVersionRemark(String versionRemark) {
        this.versionRemark = versionRemark;
    }

    public String getVersionCreatedate() {
        return versionCreatedate;
    }

    public void setVersionCreatedate(String versionCreatedate) {
        this.versionCreatedate = versionCreatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("versionId", getVersionId())
            .append("linkId", getLinkId())
            .append("versionNo", getVersionNo())
            .append("versionModifieddate", getVersionModifieddate())
            .append("versionRemark", getVersionRemark())
            .toString();
    }
}
